/* 
Theme Name: Theme Capitale Web
Theme URI: https://capitaleweb.ca/
Description: Theme wordpress/woocommerce
Author: Capitale Web team
Author URI: https://capitaleweb.ca/
Template: hello-elementor
Version: 2.0.0
Text Domain: capitale-web
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
*/
/**** General ****/
body {
	overflow-x: hidden;
}
html {
	scroll-behavior: smooth;
	overflow-x: hidden;
}
:focus {
	outline: none;
}
a {
	text-decoration: none;
}
ul, ol {
	margin-bottom: 15px;
}
::marker {
	color: var(--e-global-color-secondary);
	font-weight: 600;
}
blockquote {
	border-left: 3px solid var(--e-global-color-primary);
	padding-left: 20px;
}
b, strong, .elementor-inline-editing b {
	font-weight: 600 !important;
}
.color-primary {
	color: var(--e-global-color-primary) !important;
}
.color-secondary {
	color: var(--e-global-color-secondary) !important;
}
.color-accent {
	color: var(--e-global-color-accent) !important;
}
/**** Menu ****/
#custom-menu ul li .e-n-menu-content.e-active {
	display: flex;
    align-items: center;
}
.e-n-menu-content.e-active div:first-child {
    left: 0 !important;
}
#custom-menu ul li .e-n-menu-title.is-active, #custom-menu ul li .e-n-menu-title:hover {
    border-bottom: 5px solid;
}
#custom-menu ul li .e-n-menu-title {
    border-bottom: 5px solid transparent;
}
#menu-ton-crfmv:hover,
#menu-ton-crfmv.is-active {
    border-bottom-color: var(--e-global-color-3884f08) !important;
}
#menu-ton-crfmv:hover .e-n-menu-title-text,
#menu-ton-crfmv.is-active .e-n-menu-title-text {
    color: var(--e-global-color-3884f08);
}
#menu-vie-militaire:hover,
#menu-vie-militaire.is-active {
    border-color: var(--e-global-color-15d8cf7) !important;
}
#menu-vie-militaire:hover .e-n-menu-title-text,
#menu-vie-militaire.is-active .e-n-menu-title-text {
    color: var(--e-global-color-15d8cf7);
}
#menu-0-17-ans:hover,
#menu-0-17-ans.is-active {
    border-color: var(--e-global-color-1f1e86f) !important;
}
#menu-0-17-ans:hover .e-n-menu-title-text,
#menu-0-17-ans.is-active .e-n-menu-title-text {
    color: var(--e-global-color-1f1e86f);
}
#menu-communautaire:hover,
#menu-communautaire.is-active {
    border-color: var(--e-global-color-2f45d81) !important;
}
#menu-communautaire:hover .e-n-menu-title-text,
#menu-communautaire.is-active .e-n-menu-title-text {
    color: var(--e-global-color-2f45d81);
}
#menu-soutien:hover,
#menu-soutien.is-active {
    border-color: var(--e-global-color-a6f3728) !important;
}
#menu-soutien:hover .e-n-menu-title-text,
#menu-soutien.is-active .e-n-menu-title-text {
    color: var(--e-global-color-a6f3728);
}
#menu-langue-emploi:hover,
#menu-langue-emploi.is-active {
    border-color: var(--e-global-color-4acde3d) !important;
}
#menu-langue-emploi:hover .e-n-menu-title-text,
#menu-langue-emploi.is-active .e-n-menu-title-text {
    color: var(--e-global-color-4acde3d);
}
.anim-menu a svg {
  margin-left: 6px;
  transition: transform 0.3s;
}
.anim-menu:hover a svg {
  animation: bounceArrow 0.4s ease-in-out infinite alternate;
}
@keyframes bounceArrow {
  0% {
    transform: translateX(0);
  }
  100% {
    transform: translateX(6px);
  }
}
/**** Elementor ****/
.page-header .entry-title {
	display: none;
}
.elementor-widget-image a {
	width: 100%;
}
.elementor-icon-box-icon {
    display: flex !important;
    align-items: center;
	justify-content: center;
}
/**** Form - Checkbox & Radio ****/
.elementor-field-option input[type="checkbox"], .elementor-field-option input[type="radio"] {
	display: none !important;
}
.elementor-field-option input ~ label::before {
	content: '';
	display: inline-block;
    position: relative;
	top: 4px;
	width: 18px;
	height: 18px;
	border-radius: 50%;
	border: 2px solid var(--e-global-color-primary) !important;
	margin-right: 6px !important;
}
.elementor-field-option input:checked ~ label::before {
	background-color: var(--e-global-color-primary);
	box-shadow: inset 0px 0px 0px 3px white !important;
}
.elementor-field-type-acceptance .elementor-field-option label {
    display: inline-flex !important;
	font-size: 14px !important;
	line-height: 19px !important;
	margin-bottom: 5px;
}
.elementor-field-type-acceptance .elementor-field-option label::before {
	min-width: 18px;
	top: 2px !important;
}
/**** Form - Select ****/
.elementor-field-type-select select {
	padding-left: 10px !important;
}
.elementor-field-type-select .select-caret-down-wrapper {
    height: 100%;
}
.elementor-field-type-select .select-caret-down-wrapper svg {
    fill: var(--e-global-color-primary);
    height: 100%;
    padding-bottom: 10px;
}
/**** Form - File upload BTN ****/
.elementor-field-type-upload input[type="file"]::file-selector-button {
    background: var(--e-global-color-primary);
    border: 0;
    padding: 6px 15px 6px 38px;
    margin-right: 15px;
    font-size: 14px;
    font-weight: 600;
    color: #fff;
    border-radius: 0;
    cursor: pointer;
}
.elementor-field-type-upload input[type="file"]::before {
    content: '\e952';
    font-family: 'eicons';
	padding: 6px 10px;
    font-size: 20px;
    color: white;
    position: absolute;
}
.elementor-field-type-upload input[type="file"] {
    font-size: 14px !important;
	border-radius: 0 !important;
}